Mass messaging
Get Automated Messages
Retrieve the list of automated messages configured for an account.
Retrieve all automated messages configured for the account, including their trigger conditions and message templates.
https://v1.apifansly.com/api/fansly
GET
/{account_id}/automated-messages
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/automated-messages" \
-H "x-api-key: YOUR_API_KEY" fetch("https://v1.apifansly.com/api/fansly/{account_id}/automated-messages", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
}) import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/automated-messages"
headers = {
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json()) import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/automated-messages"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join(); using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/automated-messages");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString); package main
import (
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/automated-messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": [
{
"id": "automated_message_id_here",
"accountId": "account_id_here",
"triggerType": "trigger_type_here",
"triggerMetadata": "trigger_metadata_here",
"delay": "delay_in_ms_here",
"cooldown": "cooldown_in_ms_here",
"messageTemplate": {
"type": "message_type_here",
"content": "message_content_here",
"attachments": [
{
"contentType": "content_type_here",
"contentId": "account_media_id_here"
}
],
"senderId": "sender_account_id_here"
}
}
]
}
},
"timestamp": "iso_8601_timestamp_here"
}